{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{{ asset('css/admin.css') }}" />
{% endblock %}

{% block title %}Admin{% endblock %}

{% block content %}
    <div>
        <a href="{{ path("adminWebsite") }}" onmouseover="showHintMsg(this,'Gestion du site')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_admin.png') }}"></a>
        <a href="{{ path("adminWorlds") }}" onmouseover="showHintMsg(this,'Gestion des mondes')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_map.png') }}"></a>
        <a href="{{ path("adminAddWorld") }}" onmouseover="showHintMsg(this,'Ajouter un monde')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_addmap.png') }}"></a>
        <a href="{{ path("adminModerators") }}" onmouseover="showHintMsg(this,'Gestion des modérateurs')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_eternaltwin.png') }}"></a>
        <a href="{{ path("adminPlayers") }}" onmouseover="showHintMsg(this,'Gestion des joueurs')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_mux.png') }}"></a>
        <a href="{{ path("adminPlayersInGame") }}" onmouseover="showHintMsg(this,'Gestion des joueurs en jeu')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_transfer.png') }}"></a>
        <a href="{{ path('adminGenerals') }}" onmouseover="showHintMsg(this, 'Gestion des généraux')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_movegen.png') }}"></a>
        <a href="{{ path('adminBattles') }}" onmouseover="showHintMsg(this, 'Gestion des batailles')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_battle.png') }}"></a>
        <a href="{{ path('adminStats') }}" onmouseover="showHintMsg(this, 'Statistiques')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_pant.png') }}"></a>
    </div>
    <h1>Administration {% block extraTitle %}{% endblock %}</h1>

    <br>

    {% block adminContent %}

    {% endblock %}
{% endblock %}